Bug 244817 - multimedia/oscam: Update and unbreak for FreeBSD 12+
Summary: multimedia/oscam: Update and unbreak for FreeBSD 12+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-15 00:12 UTC by daniel.engberg.lists
Modified: 2020-04-20 20:07 UTC (History)
2 users (show)

See Also:
franz: maintainer-feedback+


Attachments
Patch for oscam (8.69 KB, patch)
2020-03-15 00:12 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for oscam v2 (8.70 KB, patch)
2020-03-16 09:16 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for oscam v3 (8.63 KB, patch)
2020-03-18 08:05 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for oscam v4 (9.39 KB, patch)
2020-03-18 08:26 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-03-15 00:12:17 UTC
Created attachment 212419 [details]
Patch for oscam

* Use snapshots as no release has done in 7+ years
* Change MASTER_SITES to https://repo.or.cz/oscam.git/ so we can grab tar.gz archives
* Add LICENSE_FILE
* Link with devel/pcsc-lite as most card readers uses SCard API (PC/SC)
* Clean up patches

Tested on FreeBSD 13.0-CURRENT #0 r358620 (AMD64)
Poudriere OK 12.1-RELEASE
Comment 1 Automation User 2020-03-15 00:20:19 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/126370561
Comment 2 daniel.engberg.lists 2020-03-16 09:16:25 UTC
Created attachment 212441 [details]
Patch for oscam v2

Use the same type of versioning as rtmpdump
Comment 3 Franz Bettag 2020-03-16 21:12:35 UTC
LGTM - someone can commit this (i dont have a bit)
Comment 4 daniel.engberg.lists 2020-03-18 08:05:22 UTC
Created attachment 212489 [details]
Patch for oscam v3

Fix a silly oversight by not using USES= localbase
Comment 5 daniel.engberg.lists 2020-03-18 08:26:24 UTC
Created attachment 212490 [details]
Patch for oscam v4

Cosmetic fix, addresses spelling issues
Comment 6 commit-hook freebsd_committer 2020-04-20 20:07:57 UTC
A commit references this bug:

Author: zi
Date: Mon Apr 20 20:07:22 UTC 2020
New revision: 532226
URL: https://svnweb.freebsd.org/changeset/ports/532226

Log:
  - Update to 1.20.20200313 (convert to using snapshots)
  - Add LICENSE
  - Unbreak

  PR:		244817
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	 Franz Bettag <franz@bett.ag> (maintainer)

Changes:
  head/multimedia/oscam/Makefile
  head/multimedia/oscam/distinfo
  head/multimedia/oscam/files/patch-Makefile.extra
  head/multimedia/oscam/files/patch-config.h
  head/multimedia/oscam/files/patch-globals.h
  head/multimedia/oscam/files/patch-module-dvbapi.c
  head/multimedia/oscam/files/patch-module-webif-lib.c
  head/multimedia/oscam/pkg-descr